Subject: Re: [PATCH] net: wireless: ath9k: Return an error when ath9k_hw_reset() fails

From: Kalle Valo <[email-masked]>
Date: Mon, 06 May 2019 11:24:51 +0300

Heiner Kallweit <[email-masked]> writes:

> On 04.05.2019 12:08, Jia-Ju Bai wrote:
>> ath9k_hw_reset() in ath9k_start() can fail, and in this case, 
>> ath9k_start() should return an error instead of executing the 
>> subsequent code.
>> 
> Such mechanical patches w/o understanding the code are always
> problematic. Do you have any proof that this error is fatal?
> I think it is not, else we wouldn't have this line:
> ah->reset_power_on = false;
> Also you should consider that a mutex and a spinlock are held.
> Maybe changing the error message to a warning would be more
> appropriate. But this I would leave to somebody being more
> familiar with this driver.

A very good point, thanks Heiner! I will drop this unless someone
familiar with ath9k says that this is ok.

-- 
Kalle Valo